org.apache.maven.plugin.jar

## Class JarSignMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.jar.JarSignMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Deprecated.
As of version 2.3, this goal is no longer supported in favor of the dedicated maven-jarsigner-plugin.

    public class JarSignMojo
    extends org.apache.maven.plugin.AbstractMojo

Signs a JAR using jarsigner.

Version:
  $Id: JarSignMojo.java 802529 2009-08-09 12:05:35Z bentmann $
Author:
  Jerome Lacoste

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`JarSignMojo()` Deprecated.

### Method Summary

Methods
`protected JarSignVerifyMojo` `createJarSignVerifyMojo()` Deprecated.
`void` `execute()` Deprecated.
`protected int` `executeCommandLine(org.codehaus.plexus.util.cli.Commandline commandLine, java.io.InputStream inputStream, org.codehaus.plexus.util.cli.StreamConsumer stream1, org.codehaus.plexus.util.cli.StreamConsumer stream2)` Deprecated.
`void` `setAlias(java.lang.String alias)` Deprecated.
`void` `setBasedir(java.io.File basedir)` Deprecated.
`void` `setJarPath(java.io.File jarPath)` Deprecated.
`void` `setKeypass(java.lang.String keypass)` Deprecated.
`void` `setKeystore(java.lang.String keystore)` Deprecated.
`void` `setProject(org.apache.maven.project.MavenProject project)` Deprecated.
`void` `setSigFile(java.lang.String sigfile)` Deprecated.
`void` `setSignedJar(java.io.File signedjar)` Deprecated.
`void` `setSkipAttachSignedArtifact(boolean skipAttachSignedArtifact)` Deprecated.
`void` `setStorepass(java.lang.String storepass)` Deprecated.
`void` `setType(java.lang.String type)` Deprecated.
`void` `setVerbose(boolean verbose)` Deprecated.
`void` `setVerify(boolean verify)` Deprecated.
`void` `setWorkingDir(java.io.File workingDir)` Deprecated.

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarSignMojo

    public JarSignMojo()

Deprecated.

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Deprecated.

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### createJarSignVerifyMojo

    protected JarSignVerifyMojo createJarSignVerifyMojo()

Deprecated.

#### executeCommandLine

    protected int executeCommandLine(org.codehaus.plexus.util.cli.Commandline commandLine,
                         java.io.InputStream inputStream,
                         org.codehaus.plexus.util.cli.StreamConsumer stream1,
                         org.codehaus.plexus.util.cli.StreamConsumer stream2)
                              throws org.codehaus.plexus.util.cli.CommandLineException

Deprecated.

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### setWorkingDir

    public void setWorkingDir(java.io.File workingDir)

Deprecated.

#### setBasedir

    public void setBasedir(java.io.File basedir)

Deprecated.

#### setKeystore

    public void setKeystore(java.lang.String keystore)

Deprecated.

#### setKeypass

    public void setKeypass(java.lang.String keypass)

Deprecated.

#### setSignedJar

    public void setSignedJar(java.io.File signedjar)

Deprecated.

#### setAlias

    public void setAlias(java.lang.String alias)

Deprecated.

#### setJarPath

    public void setJarPath(java.io.File jarPath)

Deprecated.

#### setStorepass

    public void setStorepass(java.lang.String storepass)

Deprecated.

#### setSigFile

    public void setSigFile(java.lang.String sigfile)

Deprecated.

#### setType

    public void setType(java.lang.String type)

Deprecated.

#### setVerbose

    public void setVerbose(boolean verbose)

Deprecated.

#### setSkipAttachSignedArtifact

    public void setSkipAttachSignedArtifact(boolean skipAttachSignedArtifact)

Deprecated.

#### setProject

    public void setProject(org.apache.maven.project.MavenProject project)

Deprecated.

#### setVerify

    public void setVerify(boolean verify)

Deprecated.